searchNodes=[{"doc":"Manic is an Elixir client for interfacing with Bitcoin miner APIs. Manic is a port of unwriter&#39;s Minercraft library for JavaScript, with some added Elixir goodies. Like Minercraft, Manic supports the beta version of the Merchant API, and its name is a nod to another classic computer game. Features Manic supports the following features: Get dynamic fee rates from miners Calculate the fee for any transaction Push transactions directly to miners Get the status of any transaction from miners Implemented specBRFC Merchant API Specificationce852c4c2cd1 Fee Specificationfb567267440a JSON Envelope Specification298e080a4598 Installation The package can be installed by adding manic to your list of dependencies in mix.exs. def deps do [ {:manic, &quot;~&gt; 0.0.2&quot;} ] end Usage 1. Initalize a miner client Initialize a miner client with the full URL of the Merchant API endpoint. iex&gt; miner = Manic.miner &quot;https://merchantapi.taal.com&quot; %Manic.Miner{} A client can aslo be initialized using any of the keys from the list of known_miners/0. Additional headers can also be specified if necessary. iex&gt; miner = Manic.miner :mempool, headers: [{&quot;token&quot;, token}] %Manic.Miner{} 2. Get and calculate fees The miner client can then be used to query the miner&#39;s up-to-date fee rates. iex&gt; Manic.Fees.get(miner) {:ok, %{ expires: ~U[2020-04-20 16:35:03.168Z], mine: %{data: 0.5, standard: 0.5}, relay: %{data: 0.25, standard: 0.25} }} The fee for a transaction can be calculated using the given rates. Manic will accept hex encoded transaction or a BSV.Transaction.t/0. iex&gt; Manic.Fees.calculate(rates.mine, tx) {:ok, 346} 3. Push and query transactions Manic can be used to push transactions directly to the miner. Hex encoded transactions or BSV.Transaction.t/0 structs are accepted. iex&gt; Manic.TX.push(miner, tx) {:ok, %{ &quot;api_version&quot; =&gt; &quot;0.1.0&quot;, &quot;current_highest_block_hash&quot; =&gt; &quot;00000000000000000397a5a37c1f9b409b4b58e76fd6bcac06db1a3004cccb38&quot;, &quot;current_highest_block_height&quot; =&gt; 631603, &quot;miner_id&quot; =&gt; &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, &quot;result_description&quot; =&gt; &quot;&quot;, &quot;return_result&quot; =&gt; &quot;success&quot;, &quot;timestamp&quot; =&gt; &quot;2020-04-21T14:04:39.563Z&quot;, &quot;tx_second_mempool_expiry&quot; =&gt; 0, &quot;txid&quot; =&gt; &quot;9c8c5cf37f4ad1a82891ff647b13ec968f3ccb44af2d9deaa205b03ab70a81fa&quot; }} Any transaction&#39;s status can be queried by its txid. iex&gt; Manic.TX.status(miner, &quot;e4763d71925c2ac11a4de0b971164b099dbdb67221f03756fc79708d53b8800e&quot;) {:ok, %{ &quot;api_version&quot; =&gt; &quot;0.1.0&quot;, &quot;block_hash&quot; =&gt; &quot;000000000000000000983dee680071d63939f4690a8a797c022eddadc88f925e&quot;, &quot;block_height&quot; =&gt; 630712, &quot;confirmations&quot; =&gt; 765, &quot;miner_id&quot; =&gt; &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, &quot;result_description&quot; =&gt; &quot;&quot;, &quot;return_result&quot; =&gt; &quot;success&quot;, &quot;timestamp&quot; =&gt; &quot;2020-04-20T21:45:38.808Z&quot;, &quot;tx_second_mempool_expiry&quot; =&gt; 0 }} Multi miners In the examples above, each API function is invoked by passing a single miner client. Manic also provides a way of interacting with multiple miner clients concurrently, and yielding the response from any or all of the miners. 1. Initalize a multi-miner client Initialize a multi miner client with a list of miner Merchant API endpoint details. The list can contain either a full URL, a key from the list of known_miners/0, or a tuple pair containing any additional options. iex&gt; Manic.multi([ ...&gt; &quot;https://merchantapi.taal.com&quot;, ...&gt; :matterpool, ...&gt; {:mempool, headers: [{&quot;token&quot;, token}]} ...&gt; ]) %Manic.Multi{} 2. Push a tx an any miner By default, multi miner requests will yield until any of the miners responds. This is allows a transaction to be pushed to multiple miners concurrently, and return a response when the first response is recieved. iex&gt; Manic.multi(miners) ...&gt; |&gt; Manic.TX.push(tx) {^miner, {:ok, %{ &quot;api_version&quot; =&gt; &quot;0.1.0&quot;, &quot;current_highest_block_hash&quot; =&gt; &quot;00000000000000000397a5a37c1f9b409b4b58e76fd6bcac06db1a3004cccb38&quot;, &quot;current_highest_block_height&quot; =&gt; 631603, &quot;miner_id&quot; =&gt; &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, &quot;result_description&quot; =&gt; &quot;&quot;, &quot;return_result&quot; =&gt; &quot;success&quot;, &quot;timestamp&quot; =&gt; &quot;2020-04-21T14:04:39.563Z&quot;, &quot;tx_second_mempool_expiry&quot; =&gt; 0, &quot;txid&quot; =&gt; &quot;9c8c5cf37f4ad1a82891ff647b13ec968f3ccb44af2d9deaa205b03ab70a81fa&quot; }}} 3. Query all miners concurrently Alternatively, a multi miner client can be initialized with the option yield: :all which awaits all miner clients to respond before returning the list of responses. This allows us to compare fees from multiple miners concurrently. iex&gt; Manic.multi(miners, yield: :all) ...&gt; |&gt; Manic.Fees.get [ {^miner, {:ok, %{ expires: ~U[2020-04-20 16:35:03.168Z], mine: %{data: 0.5, standard: 0.5}, relay: %{data: 0.25, standard: 0.25} }}}, {^miner, {:ok, %{ expires: ~U[2020-04-20 16:35:03.168Z], mine: %{data: 0.5, standard: 0.5}, relay: %{data: 0.25, standard: 0.25} }}}, {^miner, {:ok, %{ expires: ~U[2020-04-20 16:35:03.168Z], mine: %{data: 0.5, standard: 0.5}, relay: %{data: 0.25, standard: 0.25} }}} ]","ref":"Manic.html","title":"Manic","type":"module"},{"doc":"Returns a map of Manic&#39;s known miners. Where a miner is known, a miner client can be initialized with miner/2 passing the atom key of the known miner as the first argument. Example iex&gt; Manic.known_miners %{ matterpool: &quot;https://merchantapi.matterpool.io&quot;, mempool: &quot;https://www.ddpurse.com/openapi&quot;, taal: &quot;https://merchantapi.taal.com&quot; }","ref":"Manic.html#known_miners/0","title":"Manic.known_miners/0","type":"function"},{"doc":"Returns a miner client for the given URL. The url argument can either be a full URL for the miner&#39;s Merchant API endpoint, or an atom key from the result of known_miners/0. Options The accepted options are: :headers - Pass a list of additional headers in tuple pairs. Examples A miner client can be instantiated with a full URL. iex&gt; Manic.miner &quot;https://merchantapi.taal.com&quot; %Manic.Miner{} Instantiating a known miner with additional headers. iex&gt; Manic.miner :mempool, headers: [{&quot;token&quot;, auth_token}] %Manic.Miner{}","ref":"Manic.html#miner/2","title":"Manic.miner/2","type":"function"},{"doc":"Returns a multi miner client for the given list of Merchant API endpoints. Each element of the give list can contain the same credentials given to miner/2. Examplea A multi miner client can be instantiated with a list containing either a full URL, a key from the list of known_miners/0, or a tuple pair containing any additional options. iex&gt; Manic.multi([ ...&gt; &quot;https://merchantapi.taal.com&quot;, ...&gt; :matterpool, ...&gt; {:mempool, headers: [{&quot;token&quot;, token}]} ...&gt; ]) %Manic.Multi{}","ref":"Manic.html#multi/2","title":"Manic.multi/2","type":"function"},{"doc":"Bitcoin miner API client","ref":"Manic.html#t:miner/0","title":"Manic.miner/0","type":"type"},{"doc":"Bitcoin multi miner API client","ref":"Manic.html#t:multi_miner/0","title":"Manic.multi_miner/0","type":"type"},{"doc":"Query dynamic fee rates from Bitcoin miners, and calculate accurate transaction fees. Miners are moving to a model where they will fix their fees in Fiat terms. In addition, miners will compete with each other and some may specialise in different types on transactions. All of this will lead to a fluid fee market where the rates offered by miners will differ and shift over time. This module allows developers to query miners directly for up to date fee rates, plus calculate accurate fees for any given transaction.","ref":"Manic.Fees.html","title":"Manic.Fees","type":"module"},{"doc":"Calculates the fee of the given transaction using the specified rates. Returns the fee in satoshis as an integer/0. If a miner is passed as the first argument, the function firstly gets the rates for that miner, before calculating the fee for the given transaction. The transaction can be passed as either a BSV.Transaction.t/0 or as a hex encoded binary. Example iex&gt; Manic.Fees.calculate(%{data: 0.5, standard: 0.5}, tx) 346","ref":"Manic.Fees.html#calculate/2","title":"Manic.Fees.calculate/2","type":"function"},{"doc":"As calculate/2 but returns the result or raises an exception if it fails.","ref":"Manic.Fees.html#calculate!/2","title":"Manic.Fees.calculate!/2","type":"function"},{"doc":"Get a fee quote from the given miner. Returns the result in an :ok / :error tuple pair. Options The :as option can be used to speficy how to recieve the fees. The accepted values are: :fees - The structured fee quote data (Default) :payload - The decoded JSON payload :envelope - The raw JSON envolope Examples To get a fee quote from the given miner. iex&gt; Manic.Fees.get(miner) {:ok, %{ mine: %{data: 0.5, standard: 0.5}, relay: %{data: 0.25, standard: 0.25} }} Using the :as option to return the JSON envolope. iex&gt; Manic.Fees.get(miner, as: :envelope) {:ok, %Manic.JSONEnvelope{ encoding: &quot;UTF-8&quot;, mimetype: &quot;application/json&quot;, payload: &quot;{\\&quot;apiVersion\\&quot;:\\&quot;0.1.0\\&quot;,\\&quot;timestamp\\&quot;:\\&quot;2020-04-20T14:10:15.079Z\\&quot;,\\&quot;expiryTime\\&quot;:\\&quot;2020-04-20T14:20:15.079Z\\&quot;,\\&quot;minerId\\&quot;:\\&quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270\\&quot;,\\&quot;currentHighestBlockHash\\&quot;:\\&quot;00000000000000000020900d959b83325068f28ff635cb541888ef16ec8ebaf7\\&quot;,\\&quot;currentHighestBlockHeight\\&quot;:631451,\\&quot;minerReputation\\&quot;:null,\\&quot;fees\\&quot;:[{\\&quot;feeType\\&quot;:\\&quot;standard\\&quot;,\\&quot;miningFee\\&quot;:{\\&quot;satoshis\\&quot;:5,\\&quot;bytes\\&quot;:10},\\&quot;relayFee\\&quot;:{\\&quot;satoshis\\&quot;:25,\\&quot;bytes\\&quot;:100}},{\\&quot;feeType\\&quot;:\\&quot;data\\&quot;,\\&quot;miningFee\\&quot;:{\\&quot;satoshis\\&quot;:5,\\&quot;bytes\\&quot;:10},\\&quot;relayFee\\&quot;:{\\&quot;satoshis\\&quot;:25,\\&quot;bytes\\&quot;:100}}]}&quot;, public_key: &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, signature: &quot;304402206fc2744bc3626e5becbc3a708760917c6f78f83a61fd557b238c613862929412022047d22f89bd6fe98ca50e819452db81318641f74544252b1f04536cc689cf5f55&quot; }}","ref":"Manic.Fees.html#get/2","title":"Manic.Fees.get/2","type":"function"},{"doc":"As get/2 but returns the result or raises an exception if it fails.","ref":"Manic.Fees.html#get!/2","title":"Manic.Fees.get!/2","type":"function"},{"doc":"A simplified miner fee quote. The quote contains an expiry date, allowing developers to know when the quoted fees remain valid until. Fee rates are further broken down by: :mine - Minimum threshold where a miner would be willing to mine the transaction :relay - Minimum threshold where a miner would be willing to relay and hold a transaction in their mempool","ref":"Manic.Fees.html#t:fee_quote/0","title":"Manic.Fees.fee_quote/0","type":"type"},{"doc":"Fee rates broken down by fee types.","ref":"Manic.Fees.html#t:fee_rates/0","title":"Manic.Fees.fee_rates/0","type":"type"},{"doc":"The type of transaction data any given fee applies to. Currently fees are broken down by standard and data types. data fees are applied to any data carrier output (OP_RETURN) whereas all other transaction data is priced at the standard rate. In future other fee types may be introduced.","ref":"Manic.Fees.html#t:fee_type/0","title":"Manic.Fees.fee_type/0","type":"type"},{"doc":"Send transactions directly to miners and query the status of any transaction. By giving a transaction directly to a miner (instead of broadcasting it to the Bitcoin peer network), you are pushing the transaction directly to the centre of the network. As the miner will have already provided the correct fees to ensure the transaction is relayed and mined, you can confidently accept the transaction on a &quot;zero confirmation&quot; basis. This module allows developers to push transactions directly to miners and query the status of any transaction. As each payload from the Merchant API includes and is signed by the miner&#39;s Miner ID, the response can be treated as a legally binding signed message backed by the miner&#39;s own proof of work.","ref":"Manic.TX.html","title":"Manic.TX","type":"module"},{"doc":"Sends the given transaction directly to a miner. Returns the result in an :ok / :error tuple pair. The transaction can be passed as either a BSV.Transaction.t/0 or as a hex encoded binary. Options The :as option can be used to speficy how to recieve the fees. The accepted values are: :payload - The decoded JSON payload (Default) :envelope - The raw JSON envolope Examples To push a transaction to the minder. iex&gt; Manic.TX.push(miner, tx) {:ok, %{ &quot;api_version&quot; =&gt; &quot;0.1.0&quot;, &quot;current_highest_block_hash&quot; =&gt; &quot;00000000000000000397a5a37c1f9b409b4b58e76fd6bcac06db1a3004cccb38&quot;, &quot;current_highest_block_height&quot; =&gt; 631603, &quot;miner_id&quot; =&gt; &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, &quot;result_description&quot; =&gt; &quot;&quot;, &quot;return_result&quot; =&gt; &quot;success&quot;, &quot;timestamp&quot; =&gt; &quot;2020-04-21T14:04:39.563Z&quot;, &quot;tx_second_mempool_expiry&quot; =&gt; 0, &quot;txid&quot; =&gt; &quot;9c8c5cf37f4ad1a82891ff647b13ec968f3ccb44af2d9deaa205b03ab70a81fa&quot; }} Using the :as option to return the JSON envolope. iex&gt; Manic.TX.push(miner, tx, as: :envelope) {:ok, %Manic.JSONEnvelope{ encoding: &quot;UTF-8&quot;, mimetype: &quot;application/json&quot;, payload: &quot;{\\&quot;apiVersion\\&quot;:\\&quot;0.1.0\\&quot;,\\&quot;timestamp\\&quot;:\\&quot;2020-04-21T14:04:39.563Z\\&quot;,\\&quot;txid\\&quot;:\\&quot;\\&quot;9c8c5cf37f4ad1a82891ff647b13ec968f3ccb44af2d9deaa205b03ab70a81fa\\&quot;\\&quot;,\\&quot;returnResult\\&quot;:\\&quot;success\\&quot;,\\&quot;resultDescription\\&quot;:\\&quot;\\&quot;,\\&quot;minerId\\&quot;:\\&quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270\\&quot;,\\&quot;currentHighestBlockHash\\&quot;:\\&quot;00000000000000000397a5a37c1f9b409b4b58e76fd6bcac06db1a3004cccb38\\&quot;,\\&quot;currentHighestBlockHeight\\&quot;:631603,\\&quot;txSecondMempoolExpiry\\&quot;:0}&quot;, public_key: &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, signature: &quot;3045022100a490e469426f34fcf62d0f095c10039cf5a1d535c042172786c364d41de65b3a0220654273ca42b5e955179d617ea8252e64ddf74657aa0caebda7372b40a0f07a53&quot; }}","ref":"Manic.TX.html#push/3","title":"Manic.TX.push/3","type":"function"},{"doc":"As push/3 but returns the result or raises an exception if it fails.","ref":"Manic.TX.html#push!/3","title":"Manic.TX.push!/3","type":"function"},{"doc":"Query the status of a transaction by its txid, from the given miner. Returns the result in an :ok / :error tuple pair. Options The :as option can be used to speficy how to recieve the fees. The accepted values are: :payload - The decoded JSON payload (Default) :envelope - The raw JSON envolope Examples To get the status of a transaction/ iex&gt; Manic.TX.boradcast(miner, &quot;e4763d71925c2ac11a4de0b971164b099dbdb67221f03756fc79708d53b8800e&quot;) {:ok, %{ &quot;api_version&quot; =&gt; &quot;0.1.0&quot;, &quot;block_hash&quot; =&gt; &quot;000000000000000000983dee680071d63939f4690a8a797c022eddadc88f925e&quot;, &quot;block_height&quot; =&gt; 630712, &quot;confirmations&quot; =&gt; 765, &quot;miner_id&quot; =&gt; &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, &quot;result_description&quot; =&gt; &quot;&quot;, &quot;return_result&quot; =&gt; &quot;success&quot;, &quot;timestamp&quot; =&gt; &quot;2020-04-20T21:45:38.808Z&quot;, &quot;tx_second_mempool_expiry&quot; =&gt; 0 }} Using the :as option to return the JSON envolope. iex&gt; Manic.TX.boradcast(miner, tx, as: :envelope) {:ok, %Manic.JSONEnvelope{ encoding: &quot;UTF-8&quot;, mimetype: &quot;application/json&quot;, payload: &quot;{\\&quot;apiVersion\\&quot;:\\&quot;0.1.0\\&quot;,\\&quot;timestamp\\&quot;:\\&quot;2020-04-20T21:45:38.808Z\\&quot;,\\&quot;returnResult\\&quot;:\\&quot;success\\&quot;,\\&quot;resultDescription\\&quot;:\\&quot;\\&quot;,\\&quot;blockHash\\&quot;:\\&quot;000000000000000000983dee680071d63939f4690a8a797c022eddadc88f925e\\&quot;,\\&quot;blockHeight\\&quot;:630712,\\&quot;confirmations\\&quot;:765,\\&quot;minerId\\&quot;:\\&quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270\\&quot;,\\&quot;txSecondMempoolExpiry\\&quot;:0}&quot;, public_key: &quot;03e92d3e5c3f7bd945dfbf48e7a99393b1bfb3f11f380ae30d286e7ff2aec5a270&quot;, signature: &quot;304502210092b822497cfe065136522b33b0fbec790c77f62818bd252583a615efd35697af022059c4ca7e97c90960860ed9d7b0ff4a1601cfe207b638c672c60a44027aed1f2d&quot; }}","ref":"Manic.TX.html#status/3","title":"Manic.TX.status/3","type":"function"},{"doc":"As status/3 but returns the result or raises an exception if it fails.","ref":"Manic.TX.html#status!/3","title":"Manic.TX.status!/3","type":"function"},{"doc":"Hex-encoded transaction ID.","ref":"Manic.TX.html#t:txid/0","title":"Manic.TX.txid/0","type":"type"},{"doc":"Module implementing the Merchant API JSON Envelope Specification. Every response payload from the Merchant API is encapsualted in a parent JSON object, which is signed by the miner&#39;s Miner ID. Most manic functions return just the parsed payload, but behind the scenes the signature is automatically verified against the payload and an error is returned if verification fails.","ref":"Manic.JSONEnvelope.html","title":"Manic.JSONEnvelope","type":"module"},{"doc":"Builds a JSON Envelope from the given [map][map/0].","ref":"Manic.JSONEnvelope.html#build/1","title":"Manic.JSONEnvelope.build/1","type":"function"},{"doc":"Parses the given JSON Envelope&#39;s payload according it its specified mime type. Returns the result in an :ok / :error tuple pair. The payload&#39;s keys are automatically re-cased to snake-cased strings for a more idiomatic Elixir style.","ref":"Manic.JSONEnvelope.html#parse_payload/1","title":"Manic.JSONEnvelope.parse_payload/1","type":"function"},{"doc":"Verifies the given JSON Envelope, by cryptographically verifying the envelopes signature against the payload, using the public key in the envelope. Returns the JSON Envelope in an :ok tuple, or returns an :error tuple with an exception or error message. If the envelop contains no signature and public key, then no attempt at verification is made and the envelope is returned ok.","ref":"Manic.JSONEnvelope.html#verify/1","title":"Manic.JSONEnvelope.verify/1","type":"function"},{"doc":"Merchant API response payload. Depending on the request, the payload returned by the Marchant API can contain different fields. Manic automatically re-cases all keys in the map to snake-cased strings for a more idiomatic Elixir style. Examples The payload for a fee quote request: %{ &quot;api_version&quot; =&gt; String.t, &quot;current_highest_block_hash&quot; =&gt; String.t, &quot;current_highest_block_height&quot; =&gt; integer, &quot;expiry_time&quot; =&gt; String.t, &quot;fees&quot; =&gt; [ %{ &quot;fee_type&quot; =&gt; String.t, &quot;mining_fee&quot; =&gt; %{ &quot;bytes&quot; =&gt; integer, &quot;satoshis&quot; =&gt; integer }, &quot;relay_fee&quot; =&gt; %{ &quot;bytes&quot; =&gt; integer, &quot;satoshis&quot; =&gt; integer } }, ... ], &quot;miner_id&quot; =&gt; String.t, &quot;miner_reputation&quot; =&gt; String.t | nil, &quot;timestamp&quot; =&gt; String.t } Example payload from submiting new transactions: %{ &quot;api_version&quot; =&gt; String.t, &quot;current_highest_block_hash&quot; =&gt; String.t, &quot;current_highest_block_height&quot; =&gt; integer, &quot;miner_id&quot; =&gt; String.t, &quot;return_result&quot; =&gt; String.t, &quot;result_description&quot; =&gt; String.t, &quot;timestamp&quot; =&gt; String.t, &quot;txid&quot; =&gt; String.t, &quot;tx_scond_mempool_expiry&quot; =&gt; integer } Example payload from querying a transaction&#39;s status: %{ &quot;api_version&quot; =&gt; String.t, &quot;block_hash&quot; =&gt; String.t, &quot;block_height&quot; =&gt; integer, &quot;confirmations&quot; =&gt; integer, &quot;miner_id&quot; =&gt; String.t, &quot;return_result&quot; =&gt; String.t, &quot;result_description&quot; =&gt; String.t, &quot;timestamp&quot; =&gt; String.t, &quot;tx_scond_mempool_expiry&quot; =&gt; integer }","ref":"Manic.JSONEnvelope.html#t:payload/0","title":"Manic.JSONEnvelope.payload/0","type":"type"},{"doc":"JSON Envelope. Each parent JSON object contains a JSON encoded payload, signature and public key. The public key can be used to verify the signature against the payload.","ref":"Manic.JSONEnvelope.html#t:t/0","title":"Manic.JSONEnvelope.t/0","type":"type"},{"doc":"Module for encapsulating a miner Merchant API client.","ref":"Manic.Miner.html","title":"Manic.Miner","type":"module"},{"doc":"Returns a HTTP client for the given URL.","ref":"Manic.Miner.html#client/2","title":"Manic.Miner.client/2","type":"function"},{"doc":"Returns a map of Manic&#39;s known miners.","ref":"Manic.Miner.html#known_miners/0","title":"Manic.Miner.known_miners/0","type":"function"},{"doc":"Returns a miner client for the given URL.","ref":"Manic.Miner.html#new/1","title":"Manic.Miner.new/1","type":"function"},{"doc":"","ref":"Manic.Miner.html#new/2","title":"Manic.Miner.new/2","type":"function"},{"doc":"Bitcoin miner API client","ref":"Manic.Miner.html#t:t/0","title":"Manic.Miner.t/0","type":"type"},{"doc":"Module for encapsulating multiple miner Merchant API clients.","ref":"Manic.Multi.html","title":"Manic.Multi","type":"module"},{"doc":"Sets the asynchronous operation on the given multi miner client. The operation is an inline function which receives the miner client. Example iex&gt; Manic.Multi.async(multi, fn miner -&gt; ...&gt; MyModule.some_function(miner) ...&gt; end) Or, the same more succinctly: iex&gt; Manic.Multi.async(multi, &amp;MyModule.some_function/1)","ref":"Manic.Multi.html#async/2","title":"Manic.Multi.async/2","type":"function"},{"doc":"Sets the asynchronous operation on the given multi miner client. The operation is passed as a tuple containing the module, function name and list or arguments. In this case, the miner client will automatically be prepended to the list of arguments. Example iex&gt; Manic.Multi.async(multi, MyModule, :some_function, args)","ref":"Manic.Multi.html#async/4","title":"Manic.Multi.async/4","type":"function"},{"doc":"Returns a multi miner client for the given list of Merchant API endpoints.","ref":"Manic.Multi.html#new/2","title":"Manic.Multi.new/2","type":"function"},{"doc":"Concurrently runs the asynchronous operation on the given multi miner client, yielding the response from any or all of the miners. By default, multi miner operations will yield until any of the miners respond. Alternatively, a multi client can be initialized with the option yield: :all which awaits for all miner clients to respond.","ref":"Manic.Multi.html#yield/2","title":"Manic.Multi.yield/2","type":"function"},{"doc":"Multi miner API response","ref":"Manic.Multi.html#t:result/0","title":"Manic.Multi.result/0","type":"type"},{"doc":"Bitcoin multi miner API client","ref":"Manic.Multi.html#t:t/0","title":"Manic.Multi.t/0","type":"type"}]